Bug 840851 - The auto-installer sometimes fails silently and reboots the system
The auto-installer sometimes fails silently and reboots the system
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 07:37 EDT by Fabian Deutsch
Modified: 2016-04-26 15:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 12:20:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-07-17 07:37:39 EDT
Description of problem:
Sometimes the installer used for auto-install (BOOTIF=link storage_init) fails silently and reboots the machine.

Version-Release number of selected component (if applicable):
A recent build based on master (with pep8 patches ...)
In this case: ovirt-node-iso-2.4.0-999.20120706061129git2a34971.209.fc17.devel.iso

How reproducible:
Sometimes

Steps to Reproduce:
1. Boot via pxe with "BOOTIF=link storage_init"
  
Actual results:
The installer fails (to fast to see exactly at what point) and reboots the machine, which then can't boot from the image.

Expected results:
The installer does not fail silently and points me to an error message.


Additional info:
Looking at the VM image it seems as if the partitioning takes place but nothing else (image size remains small).

This blocks / was discovered by automated testing.
Comment 1 Fabian Deutsch 2012-07-18 10:18:57 EDT
On a system which failed like this, the firstboot karg can be used to reinstall the system.
Comment 2 Fabian Deutsch 2012-07-23 12:20:11 EDT
The testing service was started during the autpo installation and mixed stuff up. Fixed with
https://gitorious.org/ovirt/ovirt-igor-client/commit/374cf03f3ea5be1f9cd2e109a513d4a4237ca11d

Note You need to log in before you can comment on or make changes to this bug.